# Re3gisrty #

## Version 1.3.1 ##

Documentation and installation guide available as PDF in the package

- Support to the "numeric ID" of the items.
- Bug fixes


## Version 1.3 ##

Documentation and installation guide available as PDF in the package

- Support to the external items, referenced through the URI with the possibility to store also additional metadata (like the label, status, etc.).
- Support to the INSPIRE register federation format (RoR)
- Documentation improvement
- Bug fixes


## Version 1.2 ##

Quick installation guide available at: https://ies-svn.jrc.ec.europa.eu/projects/registry-development/wiki/Re3gistry_1_2_quick_install
Documentation available at: https://ies-svn.jrc.ec.europa.eu/projects/registry-development/wiki/Re3gistry_1_2_documentation

- New authentication method added - Apache SHIRO
- Addition of the new webapp. nthe web application reads the data from the JSON format produced by the Re3gistry software to produce the web pages of the service).
- New functionality: manually start the data export of the full content of the database
- Added a domain neutral example in the project package
- Configuration files improvement
- Documentation improvement
- Bug fixes


## Version 1.1 ##

Quick installation guide available at: https://ies-svn.jrc.ec.europa.eu/projects/registry-development/wiki/Re3gistry_1_1_quick_install
Documentation available at: https://ies-svn.jrc.ec.europa.eu/projects/registry-development/wiki/Re3gistry_1_1_documentation

- Update: data analyzer improved
- Update: ability to re-start the staticization after the first data procedure
- Bug fix: wrong error message in case of wrong software configuration
- Bug fixes: various bugs in the error report system and minor bugs in the software.


## Version 1.0 ##

Quick installation guide available at: https://ies-svn.jrc.ec.europa.eu/projects/registry-development/wiki/Re3gistry_1_0_quick_install
Documentation available at: https://ies-svn.jrc.ec.europa.eu/projects/registry-development/wiki/Re3gistry_1_0_documentation

- Simplification of the administration user interface (one page performing all the functionalities);
- Additional fields for registers: contact point and license
- Added support for multi-valued custom attribute;
- Added support for multiple parent items;
- Added a module for deployment of register data on a production server;
- Added ECAS authentication;
- Added support for Java 8 and Tomcat 8;
- Bug Fixing


## Version 0.4 ##

- Adoption of new module-based development allowing easier extension/customisation;
- Incremental data import added (supporting new data import, saving and editing previous imports);
- ISO 19135-1 functionalities added: addition, clarification, supersession, invalidation and retirement;
- Simplified data files (no more xml descriptor);
- Complete data consistency check included in the data procedure;
- Multilingual support allows others to reuse the software in their own language;
- New edits/changes can be exported separately (using an incremental static-file approach);
- Simpler customisation of the exported file using the XSLT files);
- (Bug fixing)


## Version 0.3 ##

- Added the Feature Concept Dictionary Register
- Added the search feature
- Added the reference and the details for the externally governed codelist
- Added the hierarchy for the registers/items
- Updated details in the INSPIRE theme register with finalised amendments to Regulation (EU) No 1253/2013 for INSPIRE data specifications for Annex II and III
- Bug fixing


## Version 0.2 ##

- Multilingual import & export improved (including the multilingual HTML user interface);
- Filtering, sorting and pagination of the tables listing the register items (for the HTML user interface);
- ZIP Import;
- Improved JSON, XML and XML schemas;
- Bug fix


## Version 0.1 ##

This is the first version of the Re3gistry software. It is released as alpha version.
Please report any bugs, problem or idea at http://inspire.ec.europa.eu/usereport/registry
